Package ghidra.app.plugin.assembler.sleigh.sem

# Class AssemblyStringStateGenerator

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyStateGenerator<AssemblyParseToken>
ghidra.app.plugin.assembler.sleigh.sem.AssemblyStringStateGenerator

public class AssemblyStringStateGenerator extends AbstractAssemblyStateGenerator<AssemblyParseToken>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyStateGenerator

  `AbstractAssemblyStateGenerator.GeneratorContext`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final OperandSymbol`
  `opSym`

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AbstractAssemblyStateGenerator

  `fromLeft, node, resolver`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssemblyStringStateGenerator(AbstractAssemblyTreeResolver<?> resolver, AssemblyParseToken node, OperandSymbol opSym, AssemblyResolvedPatterns fromLeft)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Stream<AssemblyGeneratedPrototype>`
  `generate(AbstractAssemblyStateGenerator.GeneratorContext gc)`
  Generate states

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### opSym

    protected final OperandSymbol opSym

- ## Constructor Details

  - ### AssemblyStringStateGenerator

    public AssemblyStringStateGenerator(AbstractAssemblyTreeResolver<?> resolver, AssemblyParseToken node, OperandSymbol opSym, AssemblyResolvedPatterns fromLeft)

- ## Method Details

  - ### generate

    public Stream<AssemblyGeneratedPrototype> generate(AbstractAssemblyStateGenerator.GeneratorContext gc)
    Description copied from class: `AbstractAssemblyStateGenerator`
    Generate states
    Specified by:
      `generate` in class `AbstractAssemblyStateGenerator<AssemblyParseToken>`
    Parameters:
      `gc` - the generator context for this node
    Returns:
      the stream of prototypes, each including accumulated patterns